Pāriet uz saturu

AuraFlow

Integrēt

Modeļa id aura-flow
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/aura-flow?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Šis pieprasījums: ≈0,012 $ 12 API kredītu Izpildīt šajā lapā

Iegūt API atslēgu
Open model Teksts uz attēlu #typography#style

Atvērts uz plūsmu balstīts teksta-attēla modelis, kas vienā pieprasījumā ģenerē vienu vai divus attēlus ar uzvednes paplašināšanu

Open model · Attēls

Šeit būs jūsu pirmais rezultāts

Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts

Uzvedne, kas izmantota par pamatu attēla ģenerēšanai.

num_images noklusējums 1

Izveidojamo attēlu skaits.

Papildu guidance_scale · num_inference_steps · seed · expand_prompt · enable_safety_checker
noklusējums 3.5

Klasifikatoram neatkarīgās vadības skala.

noklusējums 50

Izpildāmo secināšanas soļu skaits.

Attēla ģenerēšanas laikā izmantotā sēklas vērtība.

POST /run/aura-flow?wait=20 cena → 0,012 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/aura-flow?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par AuraFlow

Ģenerē attēlus no `prompt`. `num_images` ir 1 vai 2, `num_inference_steps` ir no 20 līdz 50, bet `guidance_scale` no 0 līdz 20. `expand_prompt` pēc noklusējuma ir ieslēgts, un paplašinātā uzvedne tiek atgriezta. `seed` var iestatīt reproducējamībai.

Parametri

Nosūti vai nu kanonisko nosaukumu, vai vietējo nosaukumu, bet ne abus. Kan啤niskie nosaukumi

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
Uzvedne, kas izmantota par pamatu attēla ģenerēšanai.
num_imagesneobligāts num_outputs
Tipsinteger
Noklusējums1
1 – 2
Izveidojamo attēlu skaits.
seedneobligāts
Tipsinteger | null
Attēla ģenerēšanas laikā izmantotā sēklas vērtība.
guidance_scaleneobligāts
Tipsnumber
Noklusējums3.5
0 – 20
Klasifikatoram neatkarīgās vadības skala.
num_inference_stepsneobligāts
Tipsinteger
Noklusējums50
20 – 50
Izpildāmo secināšanas soļu skaits.
expand_promptneobligāts
Tipsboolean
Noklusējumstrue
Iespējo uzvednes paplašināšanu; ieteicams.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Drošības pārbaude, kas nedrošu attēlu vietā atgriež melnus attēlus. true iespējo pārbaudi; false to atspējo tikai autorizētiem kontiem, bet pieprasījumi bez autorizācijas tiek pārbaudīti neatkarīgi no iestatījuma.
obligāts Kan啤niskais nosaukums, arī pieņemts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "aura-flow",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 12,
    "usd": "0.012",
    "charged": 12,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
images
array of object {url, content_type, file_name, file_size, width, height}Modeļa ģenerētie attēli.
seed
integerAttēla ģenerēšanas laikā izmantotā sēkla.
has_nsfw_concepts
array of booleanNorāda, vai ģenerētajos attēlos parādās NSFW koncepcijas.
prompt
stringUzvedne pēc paplašināšanas.

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/aura-flow.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt